import { AnnotatedError } from './errors';
export declare class AnnotationsContext {
    static root(): AnnotationsContext;
    readonly children: AnnotationsContext[];
    readonly path: Array<string | number>;
    readonly parent?: AnnotationsContext;
    private readonly _errorsStack;
    private constructor();
    get root(): boolean;
    hasErrors(): boolean;
    get errors(): AnnotatedError[];
    child(path: string | number): AnnotationsContext;
    wrap<T>(fn: (ctx: AnnotationsContext) => T): T | void;
    error(error: Error): void;
    toString(printStackStrace?: boolean): string;
}
