import { AnnotationsContext } from './annotations';
export declare class DeclarativeStackError extends Error {
    readonly annotations: AnnotationsContext;
    constructor(annotations: AnnotationsContext);
    toString(debug?: boolean): string;
}
/**
 * Thrown by the Evaluator
 */
export declare class RuntimeError extends Error {
    static wrap(error: any): RuntimeError;
    constructor(message: string, stack?: string);
}
/**
 * Annotation any Error with additional info
 */
export declare class AnnotatedError {
    readonly stack: Array<string | number>;
    readonly error: Error;
    constructor(stack: Array<string | number>, error: Error);
    toString(printStackStrace?: boolean): string;
    protected renderErrorDetails(printStackStrace?: boolean): string;
    protected renderStack(): string;
}
