import * as cdk from 'aws-cdk-lib';
import * as reflect from 'jsii-reflect';
import { Reference, References } from './references';
import { TypedTemplate } from '../type-resolution/template';
export interface EvaluationContextOptions {
    readonly stack: cdk.Stack;
    readonly template: TypedTemplate;
    readonly typeSystem: reflect.TypeSystem;
}
export interface IEvaluationContext {
    reference(logicalId: string): Reference;
}
export declare class EvaluationContext implements IEvaluationContext {
    readonly stack: cdk.Stack;
    readonly typeSystem: reflect.TypeSystem;
    readonly template: TypedTemplate;
    protected readonly availableRefs: References;
    constructor(opts: EvaluationContextOptions);
    addReference(reference: Reference): void;
    addReferences(...references: Reference[]): void;
    reference(logicalId: string): Reference;
    mapping(mappingName: string): import("../parser/template/mappings").TemplateMapping;
    condition(conditionName: string): import("../type-resolution/expression").TypedTemplateExpression;
    /**
     * Return the Class for a given FQN
     */
    resolveClass(fqn: string): any;
}
