import { TemplateExpression } from '../template';
export declare function analyzeSubPattern(pattern: string): SubFragment[];
export type SubFragment = {
    readonly type: 'literal';
    readonly content: string;
} | {
    readonly type: 'ref';
    readonly logicalId: string;
} | {
    readonly type: 'getatt';
    readonly logicalId: string;
    readonly attr: string;
};
export declare function isNonLiteral(x: SubFragment): x is Extract<SubFragment, {
    type: 'ref' | 'getatt';
}>;
export declare function fragmentToExpr(frag: SubFragment): TemplateExpression;
