import { TemplateExpression } from './expression';
export type ResourceOverride = UpdateOverride | DeleteOverride | RemoveResourceOverride;
export interface UpdateOverride {
    childConstructPath?: string;
    update: {
        path: string;
        value: TemplateExpression;
    };
    delete?: never;
    removeResource?: never;
}
export interface DeleteOverride {
    childConstructPath?: string;
    update?: never;
    delete?: {
        path: string;
    };
    removeResource?: never;
}
export interface RemoveResourceOverride {
    childConstructPath: string;
    update?: never;
    delete?: never;
    removeResource: true;
}
export declare function parseOverrides(x: unknown): ResourceOverride[];
