import * as reflect from 'jsii-reflect';
import { SchemaContext } from './jsii2schema';
export interface RenderSchemaOptions {
    /**
     * Show warnings for the generated schema.
     * @default false
     */
    warnings?: boolean;
    /**
     * Suppress specific warnings in the warnings output.
     * Should only be used for known issues that are expected to create a warning due to their incompatibility with declarative style.
     * @default []
     */
    suppressWarnings?: string[];
    /**
     * Use colors when printing output.
     * @default true if tty is enabled
     */
    colors?: boolean;
}
export declare function renderFullSchema(typeSystem: reflect.TypeSystem, options?: RenderSchemaOptions): any;
export declare function schemaForResource(construct: ClassAndProps, ctx: SchemaContext): {
    $ref: string;
} | undefined;
export declare function schemaForCall(): {
    anyOf: ({
        type: string;
        minItems?: undefined;
        maxItems?: undefined;
    } | {
        type: string;
        minItems: number;
        maxItems: number;
    })[];
};
export interface ClassAndProps {
    class: reflect.ClassType;
    propsTypeRef?: reflect.TypeReference;
}
