import * as reflect from 'jsii-reflect';
import { InitializerExpression, StaticMethodCallExpression } from './callables';
import { StringLiteral, TemplateExpression } from '../parser/template';
export interface StaticPropertyExpression {
    readonly type: 'staticProperty';
    readonly fqn: string;
    readonly namespace?: string;
    readonly property: string;
}
export declare function resolveEnumLikeExpression(x: TemplateExpression, type: reflect.ClassType): StaticPropertyExpression | StaticMethodCallExpression | InitializerExpression;
export declare function assertClass(typeRef: reflect.TypeReference): reflect.ClassType;
export interface EnumExpression {
    readonly type: 'enum';
    readonly fqn: string;
    readonly namespace?: string;
    readonly choice: string;
}
export declare function resolveEnumExpression(x: StringLiteral, type: reflect.EnumType): EnumExpression;
export declare function assertEnum(typeRef: reflect.TypeReference): reflect.EnumType;
