import * as reflect from 'jsii-reflect';
import { TypedTemplateExpression } from './expression';
import { TypedTemplate } from './template';
import { AnnotationsContext } from '../error-handling';
import { TemplateExpression } from '../parser/template';
export interface TypeResolutionContext {
    annotations: AnnotationsContext;
    template: TypedTemplate;
    typeSystem: reflect.TypeSystem;
}
export declare function resolveExpressionType(x: TemplateExpression, typeRef: reflect.TypeReference): TypedTemplateExpression;
export declare enum ResolvableExpressionType {
    UNKNOWN = 0,
    VOID = 1,
    ANY = 2,
    NUMBER = 3,
    BOOLEAN = 4,
    STRING = 5,
    DATE = 6,
    ARRAY_OF_TYPE = 7,
    MAP_OF_TYPE = 8,
    UNION_OF_TYPES = 9,
    ENUM = 10,
    ENUM_LIKE_CLASS = 11,
    STRUCT = 12,
    BEHAVIORAL_INTERFACE = 13,
    CONSTRUCT = 14,
    OTHER_CLASS = 15
}
export declare function analyzeTypeReference(typeRef: reflect.TypeReference): ResolvableExpressionType;
